### Function

# Cogl poll_renderer_dispatch

#### Declaration [src]

    void
    cogl_poll_renderer_dispatch (
      CoglRenderer* renderer,
      const CoglPollFD* poll_fds,
      int n_poll_fds
    )

#### Description [src]

This should be called whenever an application is woken up from going idle in its main loop. The `poll_fds` array should contain a list of file descriptors matched with the events that occurred in revents. The events field is ignored. It is safe to pass in extra file descriptors that Cogl didn’t request when calling `cogl_poll_renderer_get_info()` or a shorter array missing some file descriptors that Cogl requested.

#### Parameters

`renderer`

  Type: `CoglRenderer`

  A `CoglRenderer`.

  The data is owned by the caller of the function.

`poll_fds`

  Type: `CoglPollFD`

  An array of `CoglPollFD`s describing the events that have occurred since the application went idle.

  The data is owned by the caller of the function.

`n_poll_fds`

  Type: `int`

  The length of the `poll_fds` array.